<?php
namespace App\Repository;

use DateTime;
use DateTimeImmutable;

/**
 * Функция рассчитывает кол-во дней до нового года
 * @param DateTimeImmutable $date дата от которой, необходимо рассчитать кол-во дней
 * @return int
 */
function howDaysToNy(DateTimeImmutable $date): int {

    $nextYear = (int)$date->format('Y') + 1;
    $dateOfNY = (new DateTime())
        ->setDate($nextYear, 01, 01);

    return $dateOfNY->diff($date)->format('%a');
}
